#### Previous topic

scipy.interpolate.BPoly.construct_fast

#### Next topic

scipy.interpolate.BPoly.from_derivatives

# scipy.interpolate.BPoly.from_power_basis

classmethod `BPoly.``from_power_basis`(pp, extrapolate=None)

  Construct a piecewise polynomial in Bernstein basis from a power basis polynomial.

  Parameters:

  pp : PPoly

  > A piecewise polynomial in the power basis

  extrapolate : bool, optional

  > Whether to extrapolate to ouf-of-bounds points based on first and last intervals, or to return NaNs. Default: True.